## sequeler 0.8.2

=== meson_options.txt ===
option(
        'profile',
        type: 'combo',
        choices: [
                'default',
                'development'
        ],
        value: 'default'
)

## sequeler 0.8.0

=== debian/changelog ===
sequeler (0.8.0-1) unstable; urgency=medium

  * Initial release (Closes: #982497)

 -- Yangfl <mmyangfl@gmail.com>  Mon, 15 Feb 2021 20:27:08 +0800

=== debian/control ===
Source: sequeler
Section: devel
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends: meson,
               debhelper-compat (= 13),
               libgtk-3-dev,
               valac (>= 0.26),
               libgranite-dev (>= 0.5),
               libjson-glib-dev,
               libgudev-1.0-dev,
               libevdev-dev,
               libgtksourceview-3.0-dev,
               libxml2-dev,
               libglib2.0-dev,
               libgda-5.0-dev,
               default-libmysqlclient-dev,
               libpq-dev,
               libgda-5.0-mysql,
               libgda-5.0-postgres,
               libsecret-1-dev,
               libssh2-1-dev
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://github.com/Alecaddd/sequeler
Vcs-Git: https://salsa.debian.org/yangfl-guest/sequeler.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/sequeler

Package: sequeler
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: SQL client built in Vala and Gtk
 Sequeler is a native Linux SQL client built in Vala and Gtk. It allows you to
 connect to your local and remote databases, write SQL in a handy text editor
 with language recognition, and visualize SELECT results in a Gtk.Grid Widget.
 .
 Supported databases:
  * PostgreSQL
  * MariaDB/MySQL
  * SQLite

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%sequeler-$1.tar.gz%" \
   https://github.com/Alecaddd/sequeler/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## sequeler 0.8.1%2Bgit20210526

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sequeler
 Section: devel
 Priority: optional
-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends: meson,
                debhelper-compat (= 13),
                libgtk-3-dev,
@@ -19,7 +20,8 @@
                libgda-5.0-mysql,
                libgda-5.0-postgres,
                libsecret-1-dev,
-               libssh2-1-dev
+               libssh2-1-dev,
+               libgee-0.8-dev
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://github.com/Alecaddd/sequeler

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## sequeler 0.8.1+git20210526

=== debian/changelog ===
sequeler (0.8.1+git20210526-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.
  * Added libgee-0.8-dev to BDs because developer lists it on GitHub.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 26 May 2021 21:52:05 -0400

## sequeler 0.8.2

=== debian/changelog ===
sequeler (0.8.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.2
  * Recommend libgda-5.0-mysql and libgda-5.0-postgres (Closes: #1033745)

 -- Yangfl <mmyangfl@gmail.com>  Sat, 17 Jun 2023 21:06:21 +0800

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sequeler
 Section: devel
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
+Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends: meson,
                debhelper-compat (= 13),
                libgtk-3-dev,
@@ -20,10 +19,9 @@
                libgda-5.0-mysql,
                libgda-5.0-postgres,
                libsecret-1-dev,
-               libssh2-1-dev,
-               libgee-0.8-dev
+               libssh2-1-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/Alecaddd/sequeler
 Vcs-Git: https://salsa.debian.org/yangfl-guest/sequeler.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/sequeler
@@ -31,6 +29,7 @@
 Package: sequeler
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: libgda-5.0-mysql, libgda-5.0-postgres,
 Description: SQL client built in Vala and Gtk
  Sequeler is a native Linux SQL client built in Vala and Gtk. It allows you to
  connect to your local and remote databases, write SQL in a handy text editor

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,3 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## sequeler 0.9.0

=== meson_options.txt ===
--- 
+++ 
@@ -7,3 +7,4 @@
         ],
         value: 'default'
 )
+option('sized-app-icon', type: 'boolean', value: true)

=== debian/changelog ===
sequeler (0.9.0-1) unstable; urgency=medium

  * New upstream release
    * Use gtksourceview4 (Closes: #1079424)
  * Bump Standards-Version to 4.7.3

 -- Yangfl <mmyangfl@gmail.com>  Thu, 01 Jan 2026 02:28:10 +0800

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,14 @@
                libgtk-3-dev,
                valac (>= 0.26),
                libgranite-dev (>= 0.5),
-               libjson-glib-dev,
-               libgudev-1.0-dev,
-               libevdev-dev,
-               libgtksourceview-3.0-dev,
+               libgtksourceview-4-dev,
                libxml2-dev,
                libglib2.0-dev,
                libgda-5.0-dev,
-               default-libmysqlclient-dev,
-               libpq-dev,
-               libgda-5.0-mysql,
-               libgda-5.0-postgres,
                libsecret-1-dev,
-               libssh2-1-dev
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+               libssh2-1-dev,
+               desktop-file-utils,
+Standards-Version: 4.7.3
 Homepage: https://github.com/Alecaddd/sequeler
 Vcs-Git: https://salsa.debian.org/yangfl-guest/sequeler.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/sequeler

=== debian/watch ===
Version: 5
Template: Github
Owner: Alecaddd
Project: sequeler
